de.esprit.netsuite.server.core

## Interface RemoteServerLogSupport

- All Known Implementing Classes:
    ServerContext

      public interface RemoteServerLogSupport

  This interface defines server logging methods
  Author:
    Rainer Buesch

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `logDebug(SessionId sessId, java.lang.Object caller, java.lang.String message)`
    `void` | `logDump(SessionId sessId, java.lang.Object caller, java.lang.String message)`
    `boolean` | `logError(SessionId sessId, java.lang.Object caller, java.lang.String message)`
    `boolean` | `logError(SessionId sessId, java.lang.Object caller, java.lang.String message, java.lang.Exception e)`
    `boolean` | `logFatal(SessionId sessId, java.lang.Object caller, java.lang.String message, java.lang.Exception e)`
    `void` | `logInfo(SessionId sessId, java.lang.Object caller, java.lang.String message)`
    `void` | `logVerbose(SessionId sessId, java.lang.Object caller, java.lang.String message)`
    `void` | `logWarning(SessionId sessId, java.lang.Object caller, java.lang.String message)`

- - ### Method Detail

    - #### logFatal

          boolean logFatal(SessionId sessId,
                         java.lang.Object caller,
                         java.lang.String message,
                         java.lang.Exception e)

    - #### logError

          boolean logError(SessionId sessId,
                         java.lang.Object caller,
                         java.lang.String message,
                         java.lang.Exception e)

    - #### logError

          boolean logError(SessionId sessId,
                         java.lang.Object caller,
                         java.lang.String message)

    - #### logWarning

          void logWarning(SessionId sessId,
                        java.lang.Object caller,
                        java.lang.String message)

    - #### logInfo

          void logInfo(SessionId sessId,
                     java.lang.Object caller,
                     java.lang.String message)

    - #### logVerbose

          void logVerbose(SessionId sessId,
                        java.lang.Object caller,
                        java.lang.String message)

    - #### logDebug

          void logDebug(SessionId sessId,
                      java.lang.Object caller,
                      java.lang.String message)

    - #### logDump

          void logDump(SessionId sessId,
                     java.lang.Object caller,
                     java.lang.String message)

Copyright © 2014 EsprIT-Systems. All Rights Reserved.